Subject: Re: bug#76676: 30.1.50; C-M-b in c-ts-mode moves too far

From: Eli Zaretskii <[email-masked]>
Date: Mon, 03 Mar 2025 21:37:09 +0200

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Mon, 03 Mar 2025 19:56:32 +0200
> 
> >> > But in fact, point moves to the first character of 'if' before that:
> >> >
> >> >   if ((0 < scroll_conservatively
> >> >
> >> > Let me know if I can supply more information.
> >> >
> >> > In GNU Emacs 30.1.50 (build 9, i686-pc-mingw32)
> >> 
> >> This is already fixed in GNU Emacs 31.0.50.
> >
> > Thanks, good to know.
> >
> >> Should this fix be backported into 30.1.50?
> >
> > Can you point me to the commit(s) which fixed that?  If they are safe,
> > I will backport them.
> 
> There are too many commits during the previous 5 months.
> Maybe easier would be to sync whole treesit.c, treesit.el
> and ts-mode files to emacs-30?

No, that's too many non-trivial changes for my palate.  I thought you
knew which changeset on master fixed that, but if you don't, then the
fix will have to wait till Emacs 31.

Thanks.